Bug 45597 - Make it possible to disable SAML Login
Make it possible to disable SAML Login
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Florian Best
Richard Ulmer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-25 19:03 CEST by Florian Best
Modified: 2017-11-01 13:49 CET (History)
1 user (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-10-25 19:03:57 CEST
UMC currently first tries to authenticate via SAML by redirecting to the IDP. We should make this configurable via UCR, so that no SAML login is tried.
Comment 1 Florian Best univentionstaff 2017-10-25 19:04:18 CEST
Patch available in branch fbest/45597-umc-disable-single-sign-on-login.
Comment 2 Florian Best univentionstaff 2017-10-26 12:56:05 CEST
I applied the patch.

univention-management-console.yaml
b437cff2c60e | Bug #45597: Merge branch 'fbest/45597-umc-disable-single-sign-on-login' into 4.2-2
918afdcf20d8 | YAML Bug #45597

univention-management-console (9.0.80-78)
b437cff2c60e | Bug #45597: Merge branch 'fbest/45597-umc-disable-single-sign-on-login' into 4.2-2
70733954f9c1 | Bug #45597: make automatic login via Single Sign On configurable
Comment 3 Richard Ulmer univentionstaff 2017-10-26 14:24:26 CEST
The new ucr-variable works as expected and the yaml-file is fine. -> Verified
Comment 4 Arvid Requate univentionstaff 2017-11-01 13:49:27 CET
<http://errata.software-univention.de/ucs/4.2/207.html>